{% extends 'tienda/base.html' %}
{% load static %}
{% load humanize %}
{% block titulo %}Quejas y reclamos{% endblock %}

{% block contenedor %}
    {% if request.session.logueo.rol != 2 %}
        <h1>Apartar cita para quejas y reclamos</h1>
        <form action="{% url 'guardar_queja_cita' %}" method="post">
            {% csrf_token %}
            <label>Despachadores</label>
            <select name="destino" class="form-control" required="">
                <option>Con quien desea la cita:</option>
                {% for d in despachadores %}
                    <option value="{{ d.id }}">{{ d.nombre }}</option>
                {% endfor %}
            </select>
            <br>
            <label>Fecha:</label>
            <input required="" type="datetime-local" name="fecha_hora_ini" value="" class="form-control" style="width:250px;">
            <br>
            <button type="submit" class="btn btn-primary">Agendar</button>
        </form>
    {% else %}
        <h1>Gestionar las citas de clientes:</h1>
    {% endif %}
    <div class="mt-3">
        Citas:<br>
        <p class="d-inline-flex gap-1">
            {% for c in citas %}
            <button class="btn btn-{% if c.estado == 3 %}secondary{% else %}info{% endif %}" type="button" data-bs-toggle="collapse" data-bs-target="#id{{ forloop.counter }}"
                    aria-expanded="false" aria-controls="id{{ forloop.counter }}">
                {{ c.fecha_hora_ini }}
            </button>
            {% endfor %}
        </p>
        {% for c in citas %}
        <div class="collapse" id="id{{ forloop.counter }}">
            <div class="card card-body d-flex flex-row">
                <div class="card card-body w-50">
                    <p>
                    {% if request.session.logueo.rol == 2 %}
                        Cita con cliente: <strong>{{ c.origen }}</strong><br>
                    {% else %}
                        Cita con despachador: <strong>{{ c.destino }}</strong><br>
                    {% endif %}
                    Fecha Inicio: {{ c.fecha_hora_ini }}<br>
                    Fecha Fin: {{ c.fecha_hora_fin }}<br>
                    Estado Cita: <strong {% if c.estado == 3 %}class="text-danger"{% endif %}>{{ c.get_estado_display }}</strong><br>
                    Observaciones: {{ c.obs|default_if_none:"Ninguna" }}
                    </p>
                </div>
                {% if c.estado != 3 %}
                <div class="card card-body w-50">
                    <form action="{% url 'cancelar_queja_cita' %}" method="post">
                        {% csrf_token %}
                        Cancelar cita:
                        <input type="text" readonly="" value="{{ c.id }}" style="border:none;width:30px;" name="id" /><br>
                        <textarea required="" name="obs" placeholder="Observaciones" class="form-control mb-1"></textarea>
                        {% if request.session.logueo.rol == 2 %}
                            <select name="estado" class="form-control" required="">
                                <option value="">Seleccione</option>
                                <option value="3">Cancelar Cita</option>
                                <option value="2">Atender Cita</option>
                            </select>
                            <br>
                            <button type="submit" class="btn btn-warning">Enviar</button>
                        {% else %}
                            <br>
                            <button type="submit" class="btn btn-secondary">Cancelar</button>
                        {% endif %}
                    </form>
                </div>
                {% endif %}
            </div>
        </div>
        {% endfor %}
    </div>
{% endblock %}